--µ¼Èë¿¨Æ¬
create table UR_IMP_CONFIG
(
  USER_CODE   VARCHAR2(36) not null,
  TASK_ID     VARCHAR2(36) not null,
  RPT_ID      VARCHAR2(36) not null,
  SHEET_LABEL VARCHAR2(120),
  START_ROW   NUMBER(8),
  END_ROW     NUMBER(8),
  FLT_CODE    VARCHAR2(30),
  FLT_NAME    VARCHAR2(120),
  IS_MAIN_RPT VARCHAR2(1),
  SEQ_NO      INTEGER,
  constraint PK_UR_IMP_CONFIG primary key (USER_CODE, TASK_ID, RPT_ID)
);

create table UR_IMP_CONFIG_DETAIL
(
  USER_CODE     VARCHAR2(36) not null,
  TASK_ID       VARCHAR2(36) not null,
  RPT_ID        VARCHAR2(36) not null,
  FLD_CODE      VARCHAR2(30) not null,
  FLD_NAME      VARCHAR2(120),
  COL           VARCHAR2(2),
  IS_USER_DIM   VARCHAR2(1),
  MAIN_FLD_CODE VARCHAR2(30),
  MAIN_FLD_NAME VARCHAR2(120),
  IS_SYS_DIM    VARCHAR2(1),
  DATA_TYPE     VARCHAR2(1),
  DATA_LEN      INTEGER default 20,
  DICT_ID       VARCHAR2(36),
  TAB_CODE      VARCHAR2(30),
  COL_NO        INTEGER,
  SEQ_NO        INTEGER,
  constraint PK_UR_IMP_CONFIG_DETAIL primary key (USER_CODE, TASK_ID, RPT_ID, FLD_CODE)
);

